package ru.ulstu.index.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import ru.ulstu.core.controller.AdviceController;
import ru.ulstu.user.service.UserService;
import springfox.documentation.annotations.ApiIgnore;

@Controller()
@RequestMapping(value = "/index")
@ApiIgnore
public class IndexController extends AdviceController {
    public IndexController(UserService userService) {
        super(userService);
    }

    @GetMapping
    public void currentUser(ModelMap modelMap) {
        //нужен здесь для добавления параметров на стартовой странице
    }
}
